ubuntu/+source/hplip:debian/wheezy

Last commit made on 2014-02-08
Get this branch:
git clone -b debian/wheezy https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/wheezy
Repository:
lp:ubuntu/+source/hplip

Recent commits

b92ffba... by Moritz Muehlenhoff <email address hidden> on 2013-12-09

Import patches-unapplied version 3.12.6-3.1+deb7u1 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: d08d991d2e903428c71e815ca7ff503b0dea70f2

New changelog entries:
  * CVE-2013-4325 CVE-2013-6402 CVE-2013-6427

d08d991... by Sebastian Ramacher on 2013-03-01

Import patches-unapplied version 3.12.6-3.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 26b68ff985457c1b7d19b205f0c105a442fd7b2b

New changelog entries:
  * Non-maintainer upload.
  * debian/patches/CVE-2013-0200.patch: Fix CVE-2013-0200 by applying the
    patch from Red Hat. Additionally increase the buffers to mitigate an
    regression and a buffer overflow. (Closes: #701185)

26b68ff... by Mark Purcell on 2012-06-24

Import patches-unapplied version 3.12.6-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8d3467a3d2d0f37ea57a84b6d00540041ca01e51

New changelog entries:
  * [!linux-any] --enable-libusb01_build

8d3467a... by Mark Purcell on 2012-06-24

Import patches-unapplied version 3.12.6-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 952c84c93e789a98daba209e1c4b5dd017ec0d78

New changelog entries:
  * Build-Depends: libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any]
  * Update to Standards-Version: 3.9.3
  * Fix debhelper-but-no-misc-depends

952c84c... by Mark Purcell on 2012-06-23

Import patches-unapplied version 3.12.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bf697268a1cc4865e730ea0e3c45d43530bfb72c

New changelog entries:
  * New Upstream Release
    - Fixes "print fails to HP Color LJ 3600, err=26" (Closes: #529884)
    - Fixes "UnicodeDecodeError: 'ascii' codec" (Closes: #635128)
    - Fixes "hp-setup: should allow input any characters" (Closes: #470201)
  * New upstream release
     o Added PIN to PRINT support for HP Color LaserJet CM4540 MFP
     o libusb-1.0 support added
     o Added support for: HP DeskJet Ink Advantage 2510, 3525, 4610, 4620,
       5525, 2510, 3520, OfficeJet 4610, 4620, Photosmart 5520, LaserJet 400
       M401, 400 MFP M425, LaserJet Enterprise 500 MFP M525, 500 Color MFP
       M575, LaserJet Professional P 1102w, P1107w, P1107, P1109w, P1109,
       M1137, M1138, M1139, P1567, P1568, P1569, P1607dn, P1608dn, P1609dn
  * debian/patches/hp-check-groups.dpatch: Removed, problem solved upstream.
  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Removed,
    applied upstream.
  * debian/patches/hp-check_debian.dpatch,
    debian/patches/hpaio-option-duplex.diff: Updated.
  * debian/patches/simple-scan-as-default.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Refreshed with quilt.
  * debian/control: Switch over to libusb 1.0.x.
  * debian/control: Added build dependency on dh_autoreconf.
  * debian/rules, debian/printer-driver-hpcups.install,
    debian/printer-driver-postscript-hp.install,
    debian/printer-driver-hpijs.install, debian/hpijs-ppds.install: Install
    ppd-updater files with .ppd-updater extension, as the other packages do.

bf69726... by Mark Purcell on 2012-06-10

Import patches-unapplied version 3.12.4-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3d673b14fc03f2f67ecab2df886e59b0253c791c

New changelog entries:
  * hplip-gui Replaces: hplip (<< 3.12.4-2)
    - Fixes "fails to upgrade from 'squeeze'" (Closes: #675307)
    - Add specific package.bug-script files

3d673b1... by Mark Purcell on 2012-05-26

Import patches-unapplied version 3.12.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bbe3897fe255044dd839d349832fd28548df97df

New changelog entries:
  * New upstream release
  * Switch to source/format 3.0 (quilt) - drop dpatch
  * Refreshed debian/patches
  * dh_autoreconf debian/autogen.sh & set local-options single-debian-patch
  * Update to debian/compat -> 9
  * Fix "hardened build flags" patch from Moritz - thanks (Closes: #667828)
  * Fix "duplex descriptor uninitialized" patch from Matej (Closes: #583273)
  * Fix "please migrate to kde-runtime" patch from Pino (Closes: #666544)
  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Fixed fax
    sending support for the HP LaserJet M1522nf MFP (LP: #790238).
  * debian/control: Added Replaces/Breaks on hplip-data (<< 3.10.5-4ubuntu1)
    to the libsane-hpaio binary package, to make update from Ubuntu Lucid LTS
    to Precise LTS working (LP: #954847).
  * debian/local/scripts/hp-plugin-ubuntu, debian/hplip-gui.install: Return
    from HPLIP's own automatic plugin installation to the Ubuntu method,
    HP's method installs the plugin when an arbitrary HP LaserJet printer is
    detected on the USB.
  * debian/patches/hp-mkuri-libnotify-so-4-support.dpatch: Let hp-mkuri use
    libnotify.so.4.

bbe3897... by Mark Purcell on 2012-02-18

Import patches-unapplied version 3.12.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0709f0b93185ee824488dfdf5cf19334a7b10f41

New changelog entries:
  * New Upstream Release
  * Fixup Replaces: for squeeze security updates (Closes: #658056)
    - Fixes "obsolete conffiles not removed on upgrades" (Closes: #645848)
  * Cleanup Obsolete Replaces: Depends: Breaks: - support upgrades squeeze+
  * Obtain user consent before running hp-check in reportbug
    - Fixes "bug script starts /usr/share/hplip/systray.py" (Closes: #623627)
  * Drop legacy Uploaders
  * Add hplip Depends: python-gobject-2
    - Fixes "missing dependency causes hp-plugin to fail" (Closes: #600360)
  * New upstream release
     o Added support for: HP LaserJet Pro 300 color MFP M375nw, 400 color
       MFP M475dn, 400 color MFP M475dw, 300 color M351a, 400 color M451nw,
       400 color M451dn, 400 color M451dw, P1108, P1106, P1102s, Color
       LaserJet CP1217
     o Bug fixes.
  * debian/patches/hplip-systray-longer-timeout-for-system-tray-start.dpatch:
    Removed, fixed upstream.

0709f0b... by Mark Purcell on 2012-01-11

Import patches-unapplied version 3.11.12-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 799d7e2233e983db9a349c2f6a43c40c0b57d622

New changelog entries:
  * Reinstate printer-driver-{hpcups,hpijs}.install
    - Fixes "File "/usr/lib/cups/filter/hpcups" not available: No such file
    or directory" (Closes: #655424)

799d7e2... by Mark Purcell on 2012-01-08

Import patches-unapplied version 3.11.12-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e9b564b0e9e21a1287b333567f19349108cba358

New changelog entries:
  * New Upstream Release
  * Fix "Please rename the hplip packages to the printer-driver-
    convention" odyx patch - thks (Closes: #649991)
  * Fix "debian/control uses hardcoded list of non-Linux architectures"
    Update Build-Depends: libudev-dev [linux-any] (Closes: #634488)
  * Fix "hp-scan scans entire job and then reports inability to produce
    PDFs without reportlab" Added Depends: python-reportlab (Closes: #651240)
  * Fix "hplip bug report" python handling correct (Closes: #609680)
  * New upstream release
     o Auto-detection and installation of missing plug-ins
     o Added support for: HP LaserJet Enterprise 600 M601n, M601dn, M602n,
       M602dn, M602x, M603n, M603dn, M603xh, LaserJet 200 color MFP M275nw,
       M275s, M275t, M275u, Photosmart 5510d e-All-in-One
     o Bug fixes.
  * debian/patches/add_missing_newline_for_error_log.dpatch,
    debian/patches/hpcups-top-margins-not-respected.dpatch: Removed, fixed
    upstream.
  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch,
    debian/patches/udev-rules-hp-mkuri-call-fix.dpatch: SYSFS issue is fixed
    upstream, replaced the patch by one for only the hp-mkuri part.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Regenerated.
  * debian/hplip-gui.install: Added new files for automatic plugin installation.
  * debian/hplip.dirs: Install new /var/log/hp/ directory.
  * debian/control: printer-driver-postscript-hp needs hpps CUPS filter, which
    is in the hplip package, therefore depend on hplip.
  * debian/local/scripts/hp-plugin-ubuntu: Only do the automatic installation
    of the plugin if the HPLIP GUI is not installed, otherwise HPLIP does
    the installation on its own.
  * debian/rules: Use "#!/usr/bin/python" instead of "#!/usr/bin/env python"
    to specify the path to the Python interpreter, to assure that always
    the system's interpreter is used and never a possibly incompatible
    alternative Python interpreter (LP: #912625).
  * debian/hplip.install: Added entry for /usr/lib/cups/filter/hpps.
  * debian/control, debian/rules, debian/hpijs.README.Debian,
    debian/hpijs.docs, debian/hpijs.install, debian/hpijs.lintian,
    debian/hpijs.manpages, debian/hpijs.ppd-updater,
    debian/hplip-cups.NEWS, debian/hplip-cups.install,
    debian/hplip-cups.lintian, debian/hplip-cups.ppd-updater,
    debian/hplip-data.install, debian/hplip.install,
    debian/hplip.ppd-updater, debian/printer-driver-hpcups.NEWS,
    debian/printer-driver-hpcups.install,
    debian/printer-driver-hpcups.lintian,
    debian/printer-driver-hpcups.ppd-updater,
    debian/printer-driver-hpijs.README.Debian,
    debian/printer-driver-hpijs.docs,
    debian/printer-driver-hpijs.install,
    debian/printer-driver-hpijs.lintian,
    debian/printer-driver-hpijs.manpages,
    debian/printer-driver-hpijs.ppd-updater,
    debian/printer-driver-postscript-hp.install,
    debian/printer-driver-postscript-hp.ppd-updater: Updated to follow Debian's
    new printer driver package naming policy, naming printer driver binary
    packages starting with "printer-driver-...": renamed the "hplip-cups"
    package to "printer-driver-hpcups" and "hpijs" to "printer-driver-hpijs",
    moved the PostScript printer PPDs from "hplip-data" to the newly introuced
    "printer-driver-postscript-hp" package. Moved PPD updater for the
    PostScript PPDs which was (wrongly) packaged in "hplip" also to
    "printer-driver-postscript-hp". Added transitional packages. Thanks
    to Didier Raboud (odyx at debian dot org) for the patch (Closes: #649991).
  * debian/patches/hpcups-top-margins-not-respected.dpatch: Reverted upstream
    change which caused a regression in handling the upper margin by monochrome
    laser printers in hpcups (LP: #890684, Red Hat bug #738089).